Bug 101729 - Vertical Text in table, depending on vertical alignment, is wrong position
Summary: Vertical Text in table, depending on vertical alignment, is wrong position
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.4.0 backportRequest:5.3 tar...
Keywords: bibisected, bisected, regression, text:cjk
: 102041 102208 (view as bug list)
Depends on:
Blocks: CJK
  Show dependency treegraph
 
Reported: 2016-08-25 18:00 UTC by odinatlas
Modified: 2016-12-24 02:36 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Vertical Text in table is wrong position (22.51 KB, application/vnd.oasis.opendocument.text)
2016-08-25 18:00 UTC, odinatlas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description odinatlas 2016-08-25 18:00:39 UTC
Created attachment 127027 [details]
Vertical Text in table is wrong position

Text orientation Vertical in table and Vertical alignment Centred.
LO 5.1.5.2 was ok , but 5.2.1.2 and 5.3
Comment 1 JoNi 2016-08-26 16:56:39 UTC
I can confirm the problem in attachment#127027 [details].
page has table with 2 columns. right one is latin text and shown correct.
left column has asiatic top to bottom text. this text is center vertical aligned in the table cell. but one can't see the text because its shifted to the right column.

to reproduce (for non cjk)
*create new writer document
*add table with 2 columns and one row
*enter random text in left row
*while in left row
*open Table/ Properties.. / select Text Flow tab
 + change Text orientation to vertical 
 + and vertical alignment to centered to bottom

also reproducible on other platforms with master
Comment 2 Xisco Faulí 2016-08-29 16:06:44 UTC
Issue introduced in range 4ee9cfecf1800394881f5015199cd6e4af14bc92..5a3b930b30149fbcaac246726a0f547527161429
Comment 3 andis.lazdins 2016-09-10 10:21:55 UTC
I can confirm this issue on Ubuntu linux 16.04 32 bit, Libreoffice 5.2.1.2. When opened in earlier versions (5.1 branch) text alignment is fine.
Comment 4 Xisco Faulí 2016-09-15 15:01:30 UTC
*** Bug 102041 has been marked as a duplicate of this bug. ***
Comment 5 Xisco Faulí 2016-09-15 15:01:48 UTC
*** Bug 102208 has been marked as a duplicate of this bug. ***
Comment 6 odinatlas 2016-10-22 00:09:37 UTC
Th version below has same problem.
master~2016-10-21_18.49.50_LibreOfficeDev_5.3.0.0.alpha1_Win_x86
Comment 7 Volga 2016-11-08 16:21:14 UTC
Comfirmed with LODev 5.3, the text looks disappeared when I do it following comment 1.

Version: 5.3.0.0.alpha1+
Build ID: 05d2a66955f8a6552a79696474386ca9f45f9ef2
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-11-07_23:34:48
Locale: zh-CN (zh_CN); Calc: group
Comment 8 raal 2016-11-19 21:37:04 UTC
This seems to have begun at the below commit.
Adding Cc: to Noel Grandin; Could you possibly take a look at this one? Thanks

author	Noel Grandin <noel@peralex.com>	2015-11-26 12:15:47 (GMT)
committer	Noel Grandin <noel@peralex.com>	2015-11-30 08:34:38 (GMT)
commit	d2df03574023b379ac09b1f71cae9e3ba3ac53e2 (patch)
tree	ca17f45377b7b506375b510f1d1733495ea9b170
parent	ffddd4d122433329b454f676f21a2b1ce590a1a7 (diff)
loplugin:unusedfields

c253fb82a15f729e1031a836b072cde84f73adf7 is the first bad commit
commit c253fb82a15f729e1031a836b072cde84f73adf7
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sun Dec 6 08:57:15 2015 -0800

    source sha:d2df03574023b379ac09b1f71cae9e3ba3ac53e2
 git bisect log
# bad: [6380ca07b05f68dedcaa379302cfe1fa478571c4] source sha:60b74fe1775e647545d2da1fcc58a4c63ec18aa5
# good: [1f670510f08cb800cbae2a1dd6ea70d3542e4721] source sha:49c2b9808df8a6b197dec666dfc0cda6321a4306
git bisect start 'origin/master' 'oldest'
# bad: [38f37b8ec1a2d199bb957cfd2581df7d1b273b74] source sha:c0da1080b61a1d51654fc34fdaeba373226065ff
git bisect bad 38f37b8ec1a2d199bb957cfd2581df7d1b273b74
# bad: [6998931a34ad75eb555f882fbed223e585548721] source sha:1fbd073828ef52f5206aed4643226bae9fb85f4f
git bisect bad 6998931a34ad75eb555f882fbed223e585548721
# bad: [0ea9534d0f4c90833e004706de7c11abe5bc522d] source sha:97361478e64f11330f7f7aea819d60c7562fb0f6
git bisect bad 0ea9534d0f4c90833e004706de7c11abe5bc522d
# bad: [f1485fe9fdb687868c722bcb082adecc451f7a91] source sha:ebe80ac6713b67b1801ede3d1e9038cb2c93cb11
git bisect bad f1485fe9fdb687868c722bcb082adecc451f7a91
# good: [74b9a0610d51bbd4dd789766e42ebcda8ea810dc] source sha:13c8fe55de98560e136b741addbf8f78fd934bd5
git bisect good 74b9a0610d51bbd4dd789766e42ebcda8ea810dc
# bad: [56ea525840bcd09c9ecb3d5d37d5202d060137bc] source sha:895061b809e443e24896b1c851a7d4dafb045a68
git bisect bad 56ea525840bcd09c9ecb3d5d37d5202d060137bc
# bad: [9ece261380708ec6a7f736e82bb2ec217263c5a2] source sha:bd781238696d99c2c9c7378c28435f08c3adf451
git bisect bad 9ece261380708ec6a7f736e82bb2ec217263c5a2
# bad: [eb28f6e94cef7f51dfdcf6c4a70cc28535e0b182] source sha:367dc08f9a7e34fe108c289a59548716e9abdf54
git bisect bad eb28f6e94cef7f51dfdcf6c4a70cc28535e0b182
# bad: [c253fb82a15f729e1031a836b072cde84f73adf7] source sha:d2df03574023b379ac09b1f71cae9e3ba3ac53e2
git bisect bad c253fb82a15f729e1031a836b072cde84f73adf7
# good: [088bf3bcab9eb08ebb391933bb35e2c07afb4041] source sha:36b658d38930b8aca7e16f7a6b286ca1b3e7a215
git bisect good 088bf3bcab9eb08ebb391933bb35e2c07afb4041
# good: [8f166fe9033cce786fbe4a0000724735c30d671f] source sha:fbad13e4c0d66e5a0e65cbd2f1c5ae88bc02f2ba
git bisect good 8f166fe9033cce786fbe4a0000724735c30d671f
# good: [195afb0eaafc5a20b3f51c7c4d37384ffdc62c99] source sha:2ba8476f650400c5285041e956d70d2c1c0bcf76
git bisect good 195afb0eaafc5a20b3f51c7c4d37384ffdc62c99
# good: [e9a0f89565933aa8366f2f301e96a034d63264ac] source sha:ffddd4d122433329b454f676f21a2b1ce590a1a7
git bisect good e9a0f89565933aa8366f2f301e96a034d63264ac
# first bad commit: [c253fb82a15f729e1031a836b072cde84f73adf7] source sha:d2df03574023b379ac09b1f71cae9e3ba3ac53e2
Comment 9 Commit Notification 2016-12-11 11:14:14 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=611354a1c2e8281a80a1c3f5076a6c4593a4fe10

tdf#101729 recover fnGetSize,fnLeftDist,fnRightDist,fnXInc

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Volga 2016-12-12 07:14:39 UTC
Is it possible to backport to 5.3 branch?
Comment 11 Commit Notification 2016-12-12 19:16:01 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6238f71ddbdc766e733b1c808a4fa7d66f7bde87&h=libreoffice-5-3

tdf#101729 recover fnGetSize,fnLeftDist,fnRightDist,fnXInc

It will be available in 5.3.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2016-12-13 14:13:08 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7eddbb59ca817ecdfada774fb56d6b9feb4df640&h=libreoffice-5-2

tdf#101729 recover fnGetSize,fnLeftDist,fnRightDist,fnXInc

It will be available in 5.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2016-12-13 14:19:18 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-5-2-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=302b60ef12bf5d90f3a362155816c77252a2bc90&h=libreoffice-5-2-4

tdf#101729 recover fnGetSize,fnLeftDist,fnRightDist,fnXInc

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 odinatlas 2016-12-20 11:35:45 UTC
This bug was fixed in Libreoffice 5.4.2
Comment 15 Commit Notification 2016-12-24 02:36:32 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f05714c3527635bd78bf7ded7b7a160dbe3b4685

tdf#101729 add test case to make sure that the text is inside the cell.

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.